### Hierarchy

- TableCheckbox

## Index

### Inputs

- name
- row
- selected
- selectionLabelColumn
- size
- skeleton
- label

### Outputs

- change

### Constructors

- constructor

### Properties

- _label
- change
- i18n
- name
- row
- selected
- selectionLabelColumn
- size
- skeleton

### Accessors

- disabled
- label

### Methods

- getLabel
- getSelectionLabelValue

## Constructors

### constructor

- new TableCheckbox(i18n: I18n): TableCheckbox

- - Defined in src/table/cell/table-checkbox.component.ts:73

  #### Parameters

  - ##### i18n: I18n

  #### Returns TableCheckbox

## Properties

### Protected _label

_label: Overridable = this.i18n.getOverridable("TABLE.CHECKBOX_ROW")

- Defined in src/table/cell/table-checkbox.component.ts:73

### change

@Output()
change: EventEmitter<Object> = new EventEmitter()

- Defined in src/table/cell/table-checkbox.component.ts:71

### Protected i18n

i18n: I18n

- Defined in src/table/cell/table-checkbox.component.ts:75

### name

@Input()
name: string = ""

- Defined in src/table/cell/table-checkbox.component.ts:34

### row

@Input()
row: TableItem[]

- Defined in src/table/cell/table-checkbox.component.ts:30

### selected

@Input()
selected: boolean = false

- Defined in src/table/cell/table-checkbox.component.ts:32

### selectionLabelColumn

@Input()
selectionLabelColumn: number

- Defined in src/table/cell/table-checkbox.component.ts:64

### size

@Input()
size: TableRowSize = "md"

- Defined in src/table/cell/table-checkbox.component.ts:43

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/table/cell/table-checkbox.component.ts:66

## Accessors

### disabled

disabled:

- Defined in src/table/cell/table-checkbox.component.ts:36

### label

@Input()
label:

- Defined in src/table/cell/table-checkbox.component.ts:46
- Defined in src/table/cell/table-checkbox.component.ts:50

## Methods

### getLabel

- getLabel(): Observable<string>

- - Defined in src/table/cell/table-checkbox.component.ts:84

  #### Returns Observable<string>

### getSelectionLabelValue

- getSelectionLabelValue(row: TableItem[]): object

- - Defined in src/table/cell/table-checkbox.component.ts:77

  #### Parameters

  - ##### row: TableItem[]

  #### Returns object

  - ##### value: any

Generated using TypeDoc